Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Class EditableColourField

    java.lang.Object
      ix.iface.ui.DefaultColourField
          ix.iface.ui.EditableColourField

All Implemented Interfaces:
  FourField

    public class EditableColourField

extends DefaultColourField

An interface with four aspects: string, colour, symbol, image. The four aspects can be displayed as one cell. They are of type

String - to be represented by text
- Color - to be represented by background colour
- Icon - to be represented as an icon image
- char - to be represented as a symbol

Not all of the fields have to be set. Only the text is required (if there is none, make toString return the empty string). Renderers should be able to display what is set and determine how many dimensions are needed.

Field Summary
`boolean` | `editable`

Fields inherited from class ix.iface.ui.DefaultColourField
`colour, font, icon, name, sym`

Constructor Summary
`EditableColourField(java.lang.String name, java.awt.Color colour, boolean editable)`

Method Summary
`boolean` | `hasIcon()`
`javax.swing.Icon` | `toIcon()`

Methods inherited from class ix.iface.ui.DefaultColourField
`hasColour, hasFont, hasSymbol, setColour, setFont, setIcon, setString, setSymbol, toColour, toFont, toString, toSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### editable

    public boolean editable

Constructor Detail

### EditableColourField

    public EditableColourField(java.lang.String name,
                               java.awt.Color colour,
                               boolean editable)

Method Detail

### toIcon

    public javax.swing.Icon toIcon()

  Specified by:
    `toIcon` in interface `FourField`
  Overrides:
    `toIcon` in class `DefaultColourField`

### hasIcon

    public boolean hasIcon()

  Specified by:
    `hasIcon` in interface `FourField`
  Overrides:
    `hasIcon` in class `DefaultColourField`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD